﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GraphProgrammatically
{
    public class MySampleGraphStructure
    {
        public string Name { get; set; }
        public string Title { get; set; }
        public int YAxisMinimum { get; set; }
        public List<MyPoint> DataPoints { get; set; }

        public MySampleGraphStructure()
        {
            Name = "graph2";
            Title = "programmatically created";
            YAxisMinimum = 0;
            DataPoints = new List<MyPoint>();

            DataPoints.Add(new MyPoint { X = 1, Y = 20, MyPointLabel = "label1" });
            DataPoints.Add(new MyPoint { X = 4, Y = 15, MyPointLabel = "label2" });
            DataPoints.Add(new MyPoint { X = 5, Y = 10, MyPointLabel = "label3" });
        }
    }

    public class MyPoint
    {
        public int X { get; set; }
        public int Y { get; set; }
        public string MyPointLabel { get; set; }
    }


}
